MAAS version API call should not require authentication

Bug #1583715 reported by Christian Reis on 2016-05-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
High
Gavin Panella
1.9
Undecided
Gavin Panella

Bug Description

Bug 1393952 added the much appreciated API to retrieve the MAAS version. Unfortunately, it's only available to logged in users!

<kiko> allenap, does a GET /api/2.0/version/ require authentication?
<allenap> kiko: It shouldn't do, but I'll check.
<allenap> kiko: Wow, it is restricted only to users.

This probably should be fixed for 2.0 and the 1.9 series to ensure we can actually tell the two apart automatically.

Related branches

Gavin Panella (allenap) on 2016-05-20
Changed in maas:
status: New → In Progress
assignee: nobody → Gavin Panella (allenap)
Changed in maas:
importance: Undecided → High
milestone: none → 2.0.0
Christian Reis (kiko) wrote :

Noting that GET /api/version also appears to be requiring authentication, which we should probably fix in one fell swoop; here's a test run by Mike P.: https://paste.ubuntu.com/16664676/

Gavin Panella (allenap) wrote :

> Noting that GET /api/version also appears to be requiring
> authentication, which we should probably fix in one fell swoop; here's
> a test run by Mike P.: https://paste.ubuntu.com/16664676/

lp:~allenap/maas/api-testing-for-multiple-users-and-clients addresses
this, and also adds more testing to catch things like this in future.
It's not quite ready yet but will be very soon, and I'll backport the
important bit to 1.9.

Changed in maas:
status: In Progress → Fix Committed
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers